#!/bin/php
<?php

/*
 * rino-SNMP-agent - SNMP agent for RINOTel (http://www.rinotel.com) gateway hardware
 *
 * Copyright (C) 2013 Volnikov Ivan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 220 Lenin Avenue 82, Obninsk, Kaluga region, Russia.
 *
 * Report bugs to:  ivan@rinotel.com
 */

define("LISERVERFILE","/usr/local/sbin/server");

$types['INTEGER:'] = "integer";
$types['Gauge:'] = "gauge";
$types['Gauge32:'] = "gauge";
$types['Gauge64:'] = "gauge";
$types['Counter:'] = "counter";
$types['Counter32:'] = "counter";
$types['Counter64:'] = "counter";
$types['Timeticks:'] = "timeticks";
$types['IpAddress:'] = "ipaddress";
$types['OID:'] = "objectid";
$types['STRING:'] = "string";

$oid = "";
$equalsign = "";
$type = "";
$value = "";
$buffer = "";

$fd = fopen('c:/usr/tmp/rino-snmp-agent.conf', 'a');
$fh = fopen('php://stdin', 'r');
$fo = fopen('php://stdout', 'w');

$baseGateWayOID = ".1.3.6.1.4.1.249020.7";
$lastRINOoid = ".1.3.6.1.4.1.249020.2013";
$hdlcDRV = "/proc/driver/hdlc/peb22554/";
$gw_tree_of_snmp = array(
						array("node"=>".1", "name"=>"gatewayFirmware", "value"=>array(),
							  "tree"=>array(
								array("node"=>".1.1.0", "name"=>"DriverBuild", "value"=>array("value"=>"none","type"=>"string"), "tree"=>array()),
								array("node"=>".1.2.0", "name"=>"SoftwareBuild", "value"=>array("value"=>"none","type"=>"string"), "tree"=>array())
								)
							),
						array("node"=>".2", "name"=>"gatewayE1", "value"=>array(),
							  "tree"=>array(
								array("node"=>".2.1", "name"=>"E1Table", "value"=>array(), 
									  "tree"=>array(
										array("node"=>".2.1.1", "name"=>"E1TableEntry", "value"=>array(),
											"tree"=>array(
													array("node"=>".2.1.1.1", "name"=>"tbE1Index", "value"=>array(), 
														  "tree"=>array(
																	array("node"=>".2.1.1.1.1", "name"=>"E1.1", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.1.2", "name"=>"E1.2", "value"=>array("value"=>"2","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.1.3", "name"=>"E1.3", "value"=>array("value"=>"3","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.1.4", "name"=>"E1.4", "value"=>array("value"=>"4","type"=>"integer"), "tree"=>array())
																)
														),
													array("node"=>".2.1.1.2", "name"=>"tbE1Connected", "value"=>array(), 
														  "tree"=>array(
																	array("node"=>".2.1.1.2.1", "name"=>"E1.1.connected", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.2.2", "name"=>"E1.2.connected", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.2.3", "name"=>"E1.3.connected", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.2.4", "name"=>"E1.4.connected", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array())
																)
														),
													array("node"=>".2.1.1.3", "name"=>"tbE1StatusDsc", "value"=>array(), 
														  "tree"=>array(
																	array("node"=>".2.1.1.3.1", "name"=>"E1.1.status", "value"=>array("value"=>"none","type"=>"string"), "tree"=>array()),
																	array("node"=>".2.1.1.3.2", "name"=>"E1.2.status", "value"=>array("value"=>"none","type"=>"string"), "tree"=>array()),
																	array("node"=>".2.1.1.3.3", "name"=>"E1.3.status", "value"=>array("value"=>"none","type"=>"string"), "tree"=>array()),
																	array("node"=>".2.1.1.3.4", "name"=>"E1.4.status", "value"=>array("value"=>"none","type"=>"string"), "tree"=>array())
																)
														),
													array("node"=>".2.1.1.4", "name"=>"tbE1SignalLoss", "value"=>array(), 
														  "tree"=>array(
																	array("node"=>".2.1.1.4.1", "name"=>"E1.1.s_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.4.2", "name"=>"E1.2.s_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.4.3", "name"=>"E1.3.s_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.4.4", "name"=>"E1.4.s_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array())
																)
														),
													array("node"=>".2.1.1.5", "name"=>"tbE1FrameAlignLoss", "value"=>array(), 
														  "tree"=>array(
																	array("node"=>".2.1.1.5.1", "name"=>"E1.1.f_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.5.2", "name"=>"E1.2.f_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.5.3", "name"=>"E1.3.f_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.5.4", "name"=>"E1.4.f_lost", "value"=>array("value"=>"1","type"=>"integer"), "tree"=>array())
																)
														),
													array("node"=>".2.1.1.6", "name"=>"tbE1NegSleepCount", "value"=>array(), 
														  "tree"=>array(
																	array("node"=>".2.1.1.6.1", "name"=>"E1.1.neg_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.6.2", "name"=>"E1.2.neg_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.6.3", "name"=>"E1.3.neg_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.6.4", "name"=>"E1.4.neg_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array())
																)
														),
													array("node"=>".2.1.1.7", "name"=>"tbE1NegSleepCount", "value"=>array(), 
														  "tree"=>array(
																	array("node"=>".2.1.1.7.1", "name"=>"E1.1.pos_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.7.2", "name"=>"E1.2.pos_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.7.3", "name"=>"E1.3.pos_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array()),
																	array("node"=>".2.1.1.7.4", "name"=>"E1.4.pos_sleeps", "value"=>array("value"=>"0","type"=>"integer"), "tree"=>array())
																)
														)
												)
											)
										)
									)
								)
							)
					  );

$E1TableEntryBaseGateWayOID = $baseGateWayOID.$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][0]["node"];

function fillFramerStatus($framer)
{
	global $hdlcDRV;
	global $gw_tree_of_snmp;
	$eLVL = error_reporting();
	error_reporting($eLVL ^ E_WARNING);
	$frh = fopen($hdlcDRV.$framer, 'r');
	error_reporting($eLVL);
	if (isset($frh))
	{
		//Current status (string)
		$buffer = fgets($frh, 4096);
		list($tmp,$value) = explode(":",$buffer);
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][1]["tree"][$framer]["value"]["value"] = trim($value)==="No Carrier" ? "0" : "1";
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][2]["tree"][$framer]["value"]["value"] = trim($value);
		//delimiter
		$buffer = fgets($frh, 4096);
		//Loss of Signal
		$buffer = fgets($frh, 4096);
		list($tmp,$value) = explode(":",$buffer);
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][3]["tree"][$framer]["value"]["value"] = trim($value)==="yes" ? "1" : "0";
		//Loss of Frame Aligment
		$buffer = fgets($frh, 4096);
		list($tmp,$value) = explode(":",$buffer);
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][4]["tree"][$framer]["value"]["value"] = trim($value)==="yes" ? "1" : "0";
		//Receive Slip Negative
		$buffer = fgets($frh, 4096);
		list($tmp,$value) = explode(":",$buffer);
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][5]["tree"][$framer]["value"]["value"] = trim($value);
		//Receive Slip Positive
		$buffer = fgets($frh, 4096);
		list($tmp,$value) = explode(":",$buffer);
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][6]["tree"][$framer]["value"]["value"] = trim($value);

		fclose($frh);
	}else
	{
	//Driver is not loaded!!!
		//Current status (string)
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][1]["tree"][$framer]["value"]["value"] = "0";
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][2]["tree"][$framer]["value"]["value"] = "No Driver";
		//Loss of Signal
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][3]["tree"][$framer]["value"]["value"] = "1";
		//Loss of Frame Aligment
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][4]["tree"][$framer]["value"]["value"] = "1";
		//Receive Slip Negative
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][5]["tree"][$framer]["value"]["value"] = "0";
		//Receive Slip Positive
		$gw_tree_of_snmp[1]["tree"][0]["tree"][0]["tree"][6]["tree"][$framer]["value"]["value"] = "0";
	}
}

function renewE1Status()
{
	//fillFramerStatus(0);
	//fillFramerStatus(1);
	//fillFramerStatus(2);
	//fillFramerStatus(3);
}

function logDUMP($MSG)
{
    global $fd;
    fwrite($fd,$MSG);
}

function doAnswer($MSG)
{
    global $fo;
    fwrite($fo,$MSG."\n");
}

function findSubTree($tree,$oid)
{
	global $baseGateWayOID;
	foreach ($tree as $subtree)
	{
		$k   = $baseGateWayOID.$subtree["node"];
		$pos = strpos($oid,$k);
		if ($pos===false)
		{
			continue;
		}
		return $subtree;
	}
	return false;
}

function getNext(&$a_oid)
{
	global $gw_tree_of_snmp;
	global $lastRINOoid;
	global $baseGateWayOID;
	$tree = $gw_tree_of_snmp;
	$cont = true;
	$res = array();
	$res["type"]="string";
	$res["value"]="last RINO gateway value";
	$oid = $a_oid;
	do
	{  
		$subtree = findSubTree($tree,$oid);
		if ($subtree===false)
		{
			$cont = false;
			$a_oid = $lastRINOoid;
		}else
		{
			if ($baseGateWayOID.$subtree["node"]===$oid)
			{
				$cont = false;
				if (count($subtree["tree"])>0)
				{					
					if (count($subtree["tree"][0])>0)
					{
						$a_oid = $baseGateWayOID.$subtree["tree"][0]["node"];
						$res = $subtree["tree"][0]["value"];
					}
				}else
				{
					$pos = strrpos($oid,".");
					if ($pos===false)
					{						
					}else
					{
						$next = intval(substr($oid,$pos+1))+1;
						$oid  = substr($oid,0,$pos+1).$next;
						$subtree = findSubTree($tree,$oid);
						if ($subtree===false)
						{
							$a_oid = $lastRINOoid;
						}else
						{
							$a_oid = $oid;
							$res = $subtree["value"];
						}
					}					
				}
			}else
			{
				$cont = count($subtree["tree"])>0;
			}
		}
		$tree = $subtree["tree"];
		//logDUMP("getNext: 7 [".print_r($tree,true)."]\n");
	}
	while($cont);

	return $res;
}

function get($a_oid)
{
	global $gw_tree_of_snmp;
	global $lastRINOoid;
	global $baseGateWayOID;
	$tree = $gw_tree_of_snmp;
	$cont = true;
	$res = false;
	$oid = $a_oid;
	//logDUMP("get 1 : [oid=".$a_oid."]\n");
	do
	{  
		$subtree = findSubTree($tree,$oid);
		if ($subtree===false)
		{
			$cont = false;
		}else
		{
			//logDUMP("get 2 : [name=".$subtree["name"]."]\n");
			if ($baseGateWayOID.$subtree["node"]===$oid)
			{
				$cont = false;
				$res = $subtree["value"];
			}else
			{
				$cont = count($subtree["tree"])>0;
			}
		}
		if ($cont)
		{
			$tree = $subtree["tree"];
			//logDUMP("get 3: [".print_r($tree,true)."]\n");
		}
	}
	while($cont);

	return $res;
}

function getSoftVersion()
{
	//$ver = shell_exec(LISERVERFILE." --version");
	//list($tmp,$ver)=explode(": ",$ver,2);
	return "1.2.3.4";
}

function getDriversVersion()
{
	$eLVL = error_reporting();
	error_reporting($eLVL ^ E_WARNING);
	$fvh = fopen("/proc/voice/version", 'r');
	error_reporting($eLVL);
	$ver="unknown";
	if (isset($fvh))
	{
		$sTMP = fgets($fvh);
		if ($sTMP)
		{
			list($sTMP,$sVersion,$sValue,$sRTP) = explode(" ", $sTMP, 4);
			if (isset($sRTP))
			{
				$ver = sprintf("%s [%s %s]",trim($sVersion), trim($sValue), trim($sRTP));
			}else
			{
				$ver = sprintf("%s [%s]",trim($sVersion), trim($sValue));
			}
		}
		fclose($fvh);
	}
	return $ver;
}

function fillVersions()
{
	global $gw_tree_of_snmp;
	$gw_tree_of_snmp[0]["tree"][0]["value"]["value"] = getDriversVersion();
	$gw_tree_of_snmp[0]["tree"][1]["value"]["value"] = getSoftVersion();
}

if (isset($fh)) {
    logDUMP("Stdin is open!\n");
}else
{
    logDUMP("Can not open stdin!"."\n");
    exit(1);
}

//one upon a time
//fillVersions();

$mode = "command";
$command = "WORK";
do {
	logDUMP("Try read data from stdin..."."\n");
	$buffer = rtrim(fgets($fh, 4096));
	logDUMP("Data from stdin received [".$buffer."]\n");
	switch ($mode) {
		case "command":
			switch ($buffer) {
				case "PING":
				case "ping":
					// this is for startup handshake
					doAnswer("PONG");
					break;
				case "QUIT":
				case "quit":
					// this is for telnet-tests ;-)
					$command = "QUIT";
					//echo "Terminating.\n";
					break;
				case "getnext":
				case "GETNEXT":
					$mode = "getnext";
					break;
				case "get":
				case "GET":
					$mode = "get";
					
					break;
				case "set":
				case "SET":
					$mode = "set";
					break;
				default:
					echo "NONE\n";
					break;
			}
			logDUMP("Receive <".$buffer."> command [mode=".$mode."]\n");
			break;
		case "getnext":
		case "get":
			$oid=$buffer;
			logDUMP("Process <".$mode."> command [oid=".$oid."]\n");
			if ($mode == "getnext")
			{
				//if ($E1TableEntryBaseGateWayOID===$oid)
				//{					
				//	renewE1Status();
				//}
				//$res = getNext(&$oid);
				//logDUMP("Result <".$mode."> command [oid=".$oid.", valtype=".$res["type"].", value=".$res["value"]."]\n");
				//doAnswer($oid);
				//doAnswer($res["type"]);
				//doAnswer($res["value"]);
				doAnswer("NONE");
			}else
			{	
				//$res = get($oid);
				if ($oid!==".1.3.6.1.4.1.249020.7.1.1.0")
				{
					doAnswer("NONE");
				}else
				{
					doAnswer($oid);
					doAnswer("string");
					doAnswer("1.2.3.4");
				}
			}
			$mode = "command";

			break;
		case "set":
			$mode = "set2";
			break;
		case "set2":
			$mode = "set3";
			break;
		case "set3":
			$mode = "command";
			doAnswer("not-writable");
			break;
		default:
			$mode = "command";
			doAnswer("NONE");
			break;
	}
} while ( $command != "QUIT" );

logDUMP("Leave rino snmp agent"."\n");

fclose($fd);

?>
